org.apache.lucene.search

## Enum TotalHits.Relation

- java.lang.Object
- - java.lang.Enum<TotalHits.Relation>
  - - org.apache.lucene.search.TotalHits.Relation

- All Implemented Interfaces:
    Serializable, Comparable<TotalHits.Relation>
  Enclosing class:
    TotalHits

      public static enum TotalHits.Relation
      extends Enum<TotalHits.Relation>

  How the `TotalHits.value` should be interpreted.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EQUAL_TO` The total hit count is equal to `TotalHits.value`.
    `GREATER_THAN_OR_EQUAL_TO` The total hit count is greater than or equal to `TotalHits.value`.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TotalHits.Relation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TotalHits.Relation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQUAL_TO

          public static final TotalHits.Relation EQUAL_TO

      The total hit count is equal to `TotalHits.value`.

    - #### GREATER_THAN_OR_EQUAL_TO

          public static final TotalHits.Relation GREATER_THAN_OR_EQUAL_TO

      The total hit count is greater than or equal to `TotalHits.value`.

  - ### Method Detail

    - #### values

          public static TotalHits.Relation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TotalHits.Relation c : TotalHits.Relation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TotalHits.Relation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.